#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_without	tests	# unit tests

%define		module	frozenlist
Summary:	A list-like structure which implements collections.abc.MutableSequence
Summary(pl.UTF-8):	Podobna do listy struktura implementująca collections.abc.MutableSequence
Name:		python3-%{module}
Version:	1.3.1
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/frozenlist/
Source0:	https://files.pythonhosted.org/packages/source/f/frozenlist/%{module}-%{version}.tar.gz
# Source0-md5:	6ac017ba79ac7a1491e47e89012efeab
URL:		https://pypi.org/project/frozenlist/
BuildRequires:	python3-devel >= 1:3.7
BuildRequires:	python3-setuptools >= 1:46.4.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-aiohttp_theme
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
frozenlist.FrozenList is a list-like structure which implements
collections.abc.MutableSequence. The list is mutable until
FrozenList.freeze is called, after which list modifications
raise RuntimeError.

%description -l pl.UTF-8
frozenlist.FrozenList to podobna do listy struktura implementująca
collections.abc.MutableSequence. Lista jest modyfikowalna do czasu
wywołania FrozenList.freeze, po którym próby modyfikacji rzucą
wyjątek RuntimeError.

%package apidocs
Summary:	API documentation for Python %{module} module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona %{module}
Group:		Documentation

%description apidocs
API documentation for Python %{module} module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona %{module}.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest tests
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst CONTRIBUTORS.txt README.rst
%dir %{py3_sitedir}/%{module}
%{py3_sitedir}/%{module}/*.py
%{py3_sitedir}/%{module}/*.pyi
%{py3_sitedir}/%{module}/*.pyx
%{py3_sitedir}/%{module}/py.typed
%attr(755,root,root) %{py3_sitedir}/%{module}/*.so
%{py3_sitedir}/%{module}/__pycache__
%{py3_sitedir}/%{module}-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Sat Sep 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-frozenlist.git;a=log;h=master

* Sat Sep 10 2022 Jakub Bogusz <qboosh@pld-linux.org> 6ae2166
- updated to 1.3.1

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 775dc63
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> b230e9e
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c99e6f6
- rebuild with python 3.10

* Sat Mar 19 2022 Jakub Bogusz <qboosh@pld-linux.org> ae2a108
- updated to 1.3.0

* Sun Nov 28 2021 Jan Rękorajski <baggins@pld-linux.org> fb092be
- new

